Subject: Re: compiling glib on cygwin
From: Anand Kumria <[email-masked]>
To: "Fr?d?ric L. W. Meunier" <[email-masked]>
Cc: [email-masked]
Date: Tue, 7 Oct 2003 04:09:17 +1000

On Mon, Oct 06, 2003 at 02:50:46PM -0300, Fr?d?ric L. W. Meunier wrote:

Thanks, that was a good starting point. 

> http://sources.redhat.com/ml/cygwin/2003-08/msg01373.html

It lead me to:

	<URL: http://cygnome2.sourceforge.net/test-patches/>

unfortunately the patch there for glib is essentially the same at
Masahiro's. It does have a problem though in that is changes references
to PLATFORM_WIN32 to OS_WIN32 which should be required since cygwin
provide OS_UNIX and is PLATFORM_WIN32.

I'm still checking out <URL: http://anfaenger.de/cygwin/gtk+/glib/> so
I'll let you know if that has anything slightly different.

Thanks,
Anand

> 
> On Tue, 7 Oct 2003, Anand Kumria wrote:
> 
> > /home/root/src/glib-2.2.3-jp/gobject/glib-genmarshal.c:218: undefined reference
> > to `_g_log'
> > [...]
> >
> > with lots more undefined references.
> >
> > Has anyone seen this before, know if there is another particular patch I
> > should be using? Any insights and/or pointers would be appreciated.
> 
> -- 
> How to contact me - http://www.pervalidus.net/contact.html

-- 
 `` We are shaped by our thoughts, we become what we think.
 When the mind is pure, joy follows like a shadow that never
 leaves. '' -- Buddha, The Dhammapada

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/